# Enum Class XSProcessorRequestType.Task

java.lang.Object
java.lang.Enum<XSProcessorRequestType.Task>
com.io7m.xstructural.api.XSProcessorRequestType.Task

All Implemented Interfaces:
  `Serializable, Comparable<XSProcessorRequestType.Task>, Constable`

Enclosing interface:
  `XSProcessorRequestType`

public static enum XSProcessorRequestType.Task extends Enum<XSProcessorRequestType.Task>
A document processor task.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TRANSFORM_EPUB`
  The input document will be transformed to an EPUB.
  `TRANSFORM_XHTML`
  The input document will be transformed to XHTML.
  `VALIDATE`
  The input document will be validated, and no other steps will be performed.
  `VALIDATE_XHTML`
  The input XHTML will be validated, and no other steps will be performed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XSProcessorRequestType.Task`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XSProcessorRequestType.Task[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALIDATE

    public static final XSProcessorRequestType.Task VALIDATE
    The input document will be validated, and no other steps will be performed.

  - ### TRANSFORM_XHTML

    public static final XSProcessorRequestType.Task TRANSFORM_XHTML
    The input document will be transformed to XHTML.

  - ### TRANSFORM_EPUB

    public static final XSProcessorRequestType.Task TRANSFORM_EPUB
    The input document will be transformed to an EPUB.

  - ### VALIDATE_XHTML

    public static final XSProcessorRequestType.Task VALIDATE_XHTML
    The input XHTML will be validated, and no other steps will be performed.

- ## Method Details

  - ### values

    public static XSProcessorRequestType.Task[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XSProcessorRequestType.Task valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null